// 文件路径: I:\1_liziqian\Project\city-life-line\src\api\pipeNetwork\waterSourceInfo.js
import request from '@/utils/request'

const urlPrefix = '/api/water/sourceInfo'

export function listWaterSource(query) {
  return request({
    url: urlPrefix + '/page',
    method: 'get',
    params: query
  })
}

export function getWaterSource(id) {
  return request({
    url: urlPrefix + '/' + id,
    method: 'get'
  })
}

export function addWaterSource(data) {
  return request({
    url: urlPrefix,
    method: 'post',
    data: data
  })
}

export function updateWaterSource(data) {
  return request({
    url: urlPrefix,
    method: 'put',
    data: data
  })
}

export function delWaterSource(ids) {
  return request({
    url: urlPrefix + '/' + ids,
    method: 'delete'
  })
}

export function listRecycleWaterSource(query) {
  return request({
    url: urlPrefix + '/recycle/list',
    method: 'get',
    params: query
  })
}

export function restoreWaterSource(ids) {
  return request({
    url: urlPrefix + '/recycle/restore/' + ids,
    method: 'post'
  })
}

export function deletePhysicallyWaterSource(ids) {
  return request({
    url: urlPrefix + '/recycle/delete/' + ids,
    method: 'delete'
  })
}
